# MIPS Processor: Sony ELF

Assembler code

```
.text:0000073C
.text:0000073C  # =============== S U B R O U T I N E =======================================
.text:0000073C
.text:0000073C
.text:0000073C sub_73C:                                 # CODE XREF: sub_0+154↑p
.text:0000073C                                          # DATA XREF: .rodata.sceResident:00003910↓o
.text:0000073C
.text:0000073C var_s0          =  0
.text:0000073C var_s4          =  4
.text:0000073C var_s8          =  8
.text:0000073C var_sC          =  0xC
.text:0000073C
.text:0000073C                 addiu   $sp, -0x10
.text:00000740                 sw      $s0, var_s0($sp)
.text:00000744                 lui     $v0, 0x8002
.text:00000748                 move    $s0, $a0
.text:0000074C                 sltiu   $a0, 0x43  # 'C'
.text:00000750                 sw      $s1, var_s4($sp)
.text:00000754                 ori     $v1, $v0, 0x65  # 'e'
.text:00000758                 move    $s1, $zero
.text:0000075C                 sw      $ra, var_sC($sp)
.text:00000760                 beqz    $a0, loc_7A8
.text:00000764                 sw      $s2, var_s8($sp)
.text:00000768                 jal     sub_3180
.text:0000076C                 nop
.text:00000770                 sll     $a5, $s0, 3
.text:00000774                 subu    $a4, $a5, $s0
.text:00000778                 lui     $a3, %hi(unk_3C14)
.text:0000077C                 sll     $a1, $a4, 3
.text:00000780                 addiu   $a2, $a3, %lo(unk_3C14)
.text:00000784                 addu    $a0, $a1, $a2
.text:00000788                 lw      $v1, 0($a0)
.text:0000078C                 bnez    $v1, loc_7C4
.text:00000790                 move    $s2, $v0
.text:00000794                 lui     $a6, 0x8002
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hex-rays.com/8.4/user-guide/disassembler/disassembly-gallery/mips-processor-sony-elf.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
